package com.chinaitop.depot.intelligent.supervise.model;

public class TDepotStyle {
    private Integer id;

    private Integer orgId;

    private String type;

    private Integer indexid;

    private String styles;

    private byte[] imgdata;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 机构id
     * @return org_id 机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 机构id
     * @param orgId 机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 类型,1视频，2粮情，3作业,3.1通风，3.2熏蒸，3.3入库，3.4出库，4储粮
     * @return type 类型,1视频，2粮情，3作业,3.1通风，3.2熏蒸，3.3入库，3.4出库，4储粮
     */
    public String getType() {
        return type;
    }

    /**
     * 类型,1视频，2粮情，3作业,3.1通风，3.2熏蒸，3.3入库，3.4出库，4储粮
     * @param type 类型,1视频，2粮情，3作业,3.1通风，3.2熏蒸，3.3入库，3.4出库，4储粮
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 下标id
     * @return indexid 下标id
     */
    public Integer getIndexid() {
        return indexid;
    }

    /**
     * 下标id
     * @param indexid 下标id
     */
    public void setIndexid(Integer indexid) {
        this.indexid = indexid;
    }

    /**
     * 样式
     * @return styles 样式
     */
    public String getStyles() {
        return styles;
    }

    /**
     * 样式
     * @param styles 样式
     */
    public void setStyles(String styles) {
        this.styles = styles == null ? null : styles.trim();
    }

    /**
     * 
     * @return imgdata 
     */
    public byte[] getImgdata() {
        return imgdata;
    }

    /**
     * 
     * @param imgdata 
     */
    public void setImgdata(byte[] imgdata) {
        this.imgdata = imgdata;
    }
}